#include<bits/stdc++.h>
using namespace std;
vector<double>p(200000);
map<double, int>mapa;
int main()
{
  ios_base::sync_with_stdio(false);
  cin.tie(NULL);
  cout.tie(NULL);
  int n;
  cin >> n;
  long long suma=0;
  for (int i=0; i<n; i++)
  {
    double b;
    int a;
    cin >> a >> b;
    p[i]=b;
    mapa[b]+=a;
    suma+=a;
  }
  sort(p.begin(),p.end(),greater<double>());
  double s=0;
  double pre;
  double px=0;
  for (int i=0; i<n; i++)
  {
    double x=0;
    double y=suma;
    for (int j=0; j<=i; j++)
    {
      if (i<=n/2) {
        if (j!=0) pre=p[j-1];
        if (p[j]==pre) continue;
        x+=mapa[p[j]];
        if (s<x) {
            s=x;
            px=(p[j]/100)*s;
        }
      }
      else 
      {
        if (j!=0) pre=p[i+j-1];
        if (p[i+j]==pre) continue;
        y-=mapa[p[i+j]];
        if (s>y) {
            s=y;
            px=(p[i+j]/100)*s;
        }
      }
    }
  }
  cout << fixed << showpoint << setprecision(4) << px;
  return 0;
}